Index: /code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- /code/branches/FICN/bin/levels/sample.oxw	(revision 479)
+++ /code/branches/FICN/bin/levels/sample.oxw	(revision 480)
@@ -15,6 +15,7 @@
 	
 	<world>
-
-
+		<Test1>
+			sdafa sdfj askjfdskdalfj
+		</Test1>
 	</world>
 
Index: de/branches/FICN/bin/levels/sp_level_moonstation.oxw
===================================================================
--- /code/branches/FICN/bin/levels/sp_level_moonstation.oxw	(revision 479)
+++ 	(revision )
@@ -1,596 +1,0 @@
-<WorldDataFile>
-	<name>Moon Station</name>
-	<description>The central moonstation, where the player will 'land'.</description>
-	<image>textures/menu/moonstation_512x512.jpg</image>
-
-	<LoadScreen>
-		<BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
-		<ElementCount>16</ElementCount>
-		<BackgroundPS>0,0,1.0,1</BackgroundPS>
-		<BarPS>.65,.87,.3,.05</BarPS>
-		<BarImage>textures/load_screens/ambush-loadbar.png</BarImage>
-	</LoadScreen>
-	
-	<clip-region>1, 100000</clip-region>
-	
-	<WorldEntities>
-
-
-
-	<ModelEntity>
-		<name>surface</name>
-		<abs-coor>-250, 100, -100</abs-coor>
-		<abs-dir>1.57, 0, 1, 0</abs-dir>
-		<model>models/decoration/moonsurface_1730.obj, 3000</model>
-	</ModelEntity>
-		
-	<Planet>
-		<name>Earth</name>
-		<texture>textures/planets/earth_no_clouds.jpg</texture>
-		<size>250</size>
-		<abs-coor>-1685.414917, 1228.985352, 1216.223511</abs-coor>
-		<abs-dir>3.1412, 0,0,1</abs-dir>
-	</Planet>
-
-	<BspEntity>
-		<Name>levels/maps/moonstation/moonstation.bsp</Name>
-	</BspEntity>
-	
-	<SkyBox>
-		<name>Sky</name>
-		<Materialset>textures/sky/simple_space</Materialset>
-		<Size>7520</Size>
-	</SkyBox>
-	
-	<FPSPlayer>
-		<name>Player</name>
-		<damageable>true</damageable>
-		<model>models/creatures/doom_male/male.md2, 9</model>
-		<loadShield>10,10,0,0</loadShield>
-		<abs-coor>630,21,-20</abs-coor>
-		<list>group01</list>
-		<!-- <abs-coor>208.740707, -781.369263, -268.533173</abs-coor> underground -->
-	</FPSPlayer>
-	
-<!-- Bridge ------------------------------------------------------------------------ -->
-
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<type>ceil</type>
-		<damageable>true</damageable>
-		<target>Player</target>
-		<abs-coor>356, 588, -160</abs-coor>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>400</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-
-	<Planet>
-		<name>Earth</name>
-		<texture>textures/planets/earth_no_clouds.jpg</texture>
-		<size>50</size>
-		<abs-coor>458.725555, 505.465271, -164.975540</abs-coor>
-		<abs-dir>3.1412, 0,0,1</abs-dir>
-		<planet-rotation-speed>-0.3</planet-rotation-speed>
-		<planet-rotation-axis>0,1,0</planet-rotation-axis>
-	</Planet>
-	
-	<Planet>
-		<name>Moon</name>
-		<texture>textures/planets/pluto.png</texture>
-		<size>10</size>
-		<abs-coor>543.408203, 505.465271, -158.724747</abs-coor>
-		<abs-dir>3.1412, 0,0,0</abs-dir>
-	</Planet>
-	
-	<Building>
-		<name>zhara</name>
-		<model>models/space_stations/ZHARA_Space_Station.obj, 1</model>
-		<mountpoints>models/space_stations/ZHARA_Space_Station.oif</mountpoints>
-		<abs-coor>500.981537, 507.057343, -179.489685</abs-coor>
-		<abs-dir>3.1412, 0,1,0</abs-dir>
-	</Building>
-
-<!-- Air cleaning/lager room ------------------------------------------------ -->
-	
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<target>Player</target>
-		<abs-coor>-119, 123, 25</abs-coor>
-		<damageable>true</damageable>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>40000</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-	
-	<Mover>
-		<name>door_aircleaning</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.7</model><!-- modelpath, size -->
-		<abs-dir>3.141, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>120, 160, 320</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>0, 0, -45</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-			</MoverStation>
-		</stations>
-	</Mover>
-		
-	<Mover>
-		<name>door_lager</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_blue_big.obj, 19</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>-65, 128, -161.1</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>130</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>1.2</moving-time>
-				<rel-target-coor>0, 92.5, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<closed-sound>sounds/doors/door_closed2.wav</closed-sound>
-			</MoverStation>
-		</stations>
-	</Mover>		
-		
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>52,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>28,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>4,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>-20,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-		
-<!-- Main hall ------------------------------------------------------------ -->
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<type>ceil</type>
-		<damageable>true</damageable>
-		<target>Player</target>
-		<abs-coor>191, 115, 70</abs-coor>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>400</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-	
-	<SpriteParticles>
-		<name>str3</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>-4.005549, 251.321747, -11.710030</rel-coor>
-				<rel-dir>0.927172, -0.003523, -0.374517, 0.008722</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>20, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>Big one hall</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 2</life-span>
-		<radius>0.0, 100, 100</radius>
-		<radius>0.2, 100, 100</radius>
-		<radius>1.0, 100, 100</radius>
-		<mass>1.0, 0.5, .3</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>93.780792, -35.366524, 18.198116</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0, 1.0</spread>
-				<emission-velocity>-50,50</emission-velocity>
-				<size>100, 110</size>
-				<rate>2</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-	
-<!-- Destroyed room ------------------------------------------------------- -->
-	<ModelEntity>
-		<name>destroyed fighter</name>
-		<abs-coor>540, 30, -100</abs-coor><!--Orx: koo Y,Z,X -->
-		<abs-dir>2.3, 0.9, -2.5, -0.5</abs-dir>
-		<model>models/spaceships/human_spaceship_fighter.obj, 8.5</model>
-	</ModelEntity>
-		
-	<SpriteParticles>
-		<name>str1</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>727, 93, -111</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>str2</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>772, 160, -87.5</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>Big one</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 2</life-span>
-		<radius>0.0, 100, 100</radius>
-		<radius>0.2, 100, 100</radius>
-		<radius>1.0, 100, 100</radius>
-		<mass>1.0, 0.5, .3</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>616, -50, -196</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0, 1.0</spread>
-				<emission-velocity>-50,50</emission-velocity>
-				<size>120, 150</size>
-				<rate>6</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-
-<!-- sleeping room ------------------------------------------------------ -->
-	
-	<Mover>
-		<name>door_sleepingroom_l</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.2</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>405.5, 160, 175</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>31, 0, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<!--<closed-sound>sounds/doors/door_closed2.wav</closed-sound>-->
-			</MoverStation>
-		</stations>
-	</Mover>
-	<Mover>
-		<name>door_sleepingroom_r</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.2</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, -1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>362, 160, 175</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>-31, 0, 0</rel-target-coor>
-			</MoverStation>
-		</stations>
-	</Mover>
-	
-	<SpriteParticles>
-		<name>Steam in sleeping room</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>2, 5</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>382, 210, 255</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-
-	<SpriteParticles>
-		<name>Stream Air Cleaning</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 0</life-span>
-		<radius>0.0, 15.0, 2</radius>
-		<radius>0.2, 20.0, 5</radius>
-		<radius>1.0, 25.0, 7</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,0, 1, 0,.5</color>
-		<color>.5, 0, .6, 0, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>0</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>85, 168, 243</rel-coor>
-				<rel-dir>1.57, 0, 0, 1</rel-dir>
-				<spread>0.0, 0</spread>
-				<emission-velocity>20, 2</emission-velocity>
-				<size>10, 14</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-		</SpriteParticles>
-
-<!-- Underground      ######################################################################## -->
-	<Mover>
-		<name>door_elevator</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 10</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>210, -810, -454</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>60, 0, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<!--<closed-sound>sounds/doors/door_closed2.wav</closed-sound>-->
-			</MoverStation>
-		</stations>
-	</Mover>
-		
-<!-- Cutscenes/Quests ######################################################################## -->
-
-	<NPC>
-		<name>IntroSpaceship</name>
-		<model>models/spaceships/human_spaceship_fighter.obj,9</model>
-		<mountpoints>models/spaceships/human_spaceship_fighter.oif</mountpoints>
-		<Track>
-			<mode>1</mode>
-			<speed>600</speed>
-			<addPoint>4000, 866, -284</addPoint>
-			<addPoint>1840, 866, -284</addPoint>
-			<addPoint>1302, 524, -217</addPoint>
-			<addPoint>760, 127, -137</addPoint>
-			<addPoint>-25, -360, -99</addPoint>
-			<addPoint>-100, -400, -110</addPoint><!-- hide position -->
-			<addPoint>-120, -410, -113</addPoint>
-		</Track>
-	</NPC>
-	
-	<NPC> <!-- triggerable door hack -->
-		<name>triggeredDoor</name>
-		<model>models/doors/door_blue_big.obj, 19</model><!-- modelpath, size -->
-		<abs-coor>222, 0, -472</abs-coor>
-		<abs-dir>0, 0, 1, 0</abs-dir>
-	</NPC> 
-	
-	<Building> <!-- Camera target hack -->
-		<name>MoonstationCenterHack</name>
-		<model>models/spaceships/human_spaceship_fighter.obj,0.1</model>
-		<abs-coor>300, 36, -170</abs-coor>
-		<abs-dir>3.1412, 0,1,0</abs-dir>
-	</Building>
-	 
-	<QuestGUI>
-		<name>energyQuest</name>
-		<quest-name>Hangar Door</quest-name>
-		<quest-description>QUEST: Open the door to the hangar.</quest-description>
-		<quest-picture>/textures/orxonox_logo.png</quest-picture>
-		<quest-difficulty>STORY: I have to leave this station. </quest-difficulty>
-		<quest-persons>Maybe I can find a ship in the hangar behind this door.</quest-persons>
-		<reward-picture>/textures/amiv_braeu.png</reward-picture>
-		<reward-description>HINT: Maybe it would be favourably to take a	look at the bridge on top of the station.</reward-description>
-	</QuestGUI>
-	
-	<BspEntity>
-		<Name>levels/maps/moonstation/moonstation_flares.bsp</Name>
-		<Transparency>1, 1</Transparency>
-	</BspEntity>
-
-</WorldEntities> <!-- End WoldEntities ##################################################### -->
-
-<ScriptManager> 
-	<Scripts>
-		<Script file="moonstation/intro.lua" />
-		<Script file="moonstation/quest.lua" />
-		<Script file="moonstation/switchLevel.lua" />
-	</Scripts>
-</ScriptManager>
-
-<CameraMan name="cameraManager">
-	<Cameras>
-		<Camera name="CameraIntro">
-			<Track>
-				<mode>1</mode>
-				<speed>80</speed>
-				<addPoint>-1295.883301, 621.807922, -969.386780</addPoint>
-				<addPoint>-1253.895386, 727.938721, -268.726807</addPoint><!-- cam2 station -->
-				<addPoint>-1092.265991, 743.441040, -15.836866</addPoint>
-				<addPoint>-438.112305, 661.747009, 566.756775</addPoint>
-				<addPoint>180.627167, 755.514709, 871.833801</addPoint><!-- cam2 ship 199.251480, 611.205872, 670.132324 -->
-				<addPoint>871.084534, 629.498901, 619.159058</addPoint>
-				<!-- <addPoint>1409.606201, 668.009155, 122.551933</addPoint>
-				<addPoint>1331.963867, 562.559082, -213.602997</addPoint> -->
-				<addPoint>1160.229858, 248.129639, -396.398438</addPoint>
-				<addPoint>1210.095825, 308.348694, -414.233826</addPoint>
-				<addPoint>881.456055, 184.982635, -176.643326</addPoint>
-				<addPoint>719.431091, 79.719810, -149.023880</addPoint><!-- intro end -->
-			</Track>
-		</Camera>
-		<Camera name="CameraDoor" abs-coor="346, 128, -110">
-		</Camera>
-	</Cameras>
-</CameraMan>
-
-<LightManager>
-		<Lights>
-			<Light diffuse-color="0.5,0.5,0.6" abs-coor="205,565,-162" />
-			<Light diffuse-color="0.5,0.5,0.6" abs-coor="-990.843811, 896.596130, -1569.420288" />
-			<Light diffuse-color="0.8,0.8,0.8" abs-coor="203.364914, -807.093872, -228.443466" />
-		</Lights>
-		<ambient color="1, 1, 1" />
-</LightManager>
-
-</WorldDataFile>
-
Index: /code/branches/FICN/src/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/CMakeLists.txt	(revision 479)
+++ /code/branches/FICN/src/CMakeLists.txt	(revision 480)
@@ -7,4 +7,5 @@
 ADD_SUBDIRECTORY(orxonox)
 ADD_SUBDIRECTORY(audio)
+ADD_SUBDIRECTORY(tinyxml)
 
 # xml gets handled by loader
Index: /code/branches/FICN/src/loader/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/loader/CMakeLists.txt	(revision 479)
+++ /code/branches/FICN/src/loader/CMakeLists.txt	(revision 480)
@@ -4,10 +4,9 @@
 SET( LOADER_SRC_FILES
   LevelLoader.cc
-  #../xml/xmlParser.cc
-  ../tinyxml/tinystr.cc
-  ../tinyxml/tinyxml.cc
-  ../tinyxml/tinyxmlerror.cc
-  ../tinyxml/tinyxmlparser.cc
 )
 
 ADD_LIBRARY(loader SHARED ${LOADER_SRC_FILES})
+
+TARGET_LINK_LIBRARIES( loader
+  xml
+)
Index: /code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.cc	(revision 479)
+++ /code/branches/FICN/src/loader/LevelLoader.cc	(revision 480)
@@ -5,4 +5,6 @@
 #include "tinyxml/tinyxml.h"
 #include "orxonox/core/IdentifierIncludes.h"
+#include "orxonox/core/Error.h"
+#include "orxonox/objects/BaseObject.h"
 
 using namespace std;
@@ -11,12 +13,14 @@
 {
 
-LevelLoader::LevelLoader(string file, string dir)
-{
+LevelLoader::LevelLoader(string file, string path)
+{
+	valid_ = false;
+	
 	// Load XML level file
-	dir.append("/");
-	dir.append(file);	
+	path.append("/");
+	path.append(file);	
 	
 	// Open xml file
-	TiXmlDocument doc(file);
+	doc.LoadFile(path);
 
 	// Check if file was loaded
@@ -24,8 +28,6 @@
 	{
 		TiXmlHandle hDoc(&doc);
-		TiXmlHandle hRoot(0);	
-
+		TiXmlHandle hRoot(0);		
 		TiXmlElement* pElem;
-		
 
 		// Check for root element
@@ -35,4 +37,5 @@
 			// Set root element
 			hRoot = TiXmlHandle(pElem);
+			rootElement = hRoot.Element();
 
 			// Set level description
@@ -44,45 +47,83 @@
 			
 			// Set level name
-			pElem = hRoot.Element();
-			name_ = pElem->Attribute("name");
-			image_ = pElem->Attribute("image");
+			name_ = rootElement->Attribute("name");
+			image_ = rootElement->Attribute("image");
+			
+			valid_ = true;
+		}
+		else
+		{
+			orxonox::Error("Level file has no valid root node");
+		}	
+	}
+	else
+	{
+		orxonox::Error("Could not load level file ");
+	}	
+}
+
+	void LevelLoader::loadLevel()
+	{
+		if (valid_)
+		{
+			TiXmlElement* loadElem;
+			TiXmlElement* worldElem;
+			TiXmlElement* tElem;
+			TiXmlNode* tNode;
+			
 			
 			// Set loading screen
-			pElem = hRoot.FirstChild("loading").Element();
-			if (pElem)
+			loadElem = rootElement->FirstChildElement("loading");
+			if (loadElem)
 			{
 				// Set background
-				pElem = hRoot.FirstChild("loading").FirstChild("background").Element();
-				if (pElem)
+				tElem = loadElem->FirstChildElement("background");
+				if (tElem)
 				{
-					loadingBackgroundColor_ = pElem->Attribute("color");
-					loadingBackgroundImage_ = pElem->Attribute("image");
+					loadingBackgroundColor_ = tElem->Attribute("color");
+					loadingBackgroundImage_ = tElem->Attribute("image");
 				}
 				// Set bar
-				pElem = hRoot.FirstChild("loading").FirstChild("bar").Element();
-				if (pElem)
+				tElem = loadElem->FirstChildElement("bar");
+				if (tElem)
 				{
-					loadingBarImage_ = pElem->Attribute("image");;
-					loadingBarTop_ = pElem->Attribute("top");
-					loadingBarLeft_ = pElem->Attribute("left");
-					loadingBarWidth_ = pElem->Attribute("width");
-					loadingBarHeight_ = pElem->Attribute("height");
+					loadingBarImage_ = tElem->Attribute("image");;
+					loadingBarTop_ = tElem->Attribute("top");
+					loadingBarLeft_ = tElem->Attribute("left");
+					loadingBarWidth_ = tElem->Attribute("width");
+					loadingBarHeight_ = tElem->Attribute("height");
 				}
+				showLoadingScreen();
 			}
-						
-			
-		}
-		else
-		{
-			std::string err = "Level file has no valid root node";
-			std::cout << err << std::endl;
-		}	
-	}
-	else
-	{
-		std::string err = "Could not load level file ";
-		err.append(file); 
-		std::cout << err << std::endl;
-	}	
+			
+			// Load audio
+			// TODO
+			
+			// Load scripts
+			// TODO
+			
+			// Load world
+			worldElem = rootElement->FirstChildElement("world");
+			if (worldElem)
+			{	
+				tNode = 0;
+				while( tNode = worldElem->IterateChildren( tNode ) )
+				{
+					tElem = tNode->ToElement();
+					orxonox::BaseObject* obj = orxonox::ID(tElem->Value())->fabricate();
+					obj->loadParams(tElem);
+				}			
+			}
+			
+			std::cout << "Loading finished!\n\n\n\n\n";						
+		}
+	}
+	
+	void LevelLoader::showLoadingScreen()
+	{
+		std::cout << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
+		std::cout << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
+		std::cout << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
+	}
 	
 	
@@ -130,5 +171,5 @@
 */
 
-}
+
 
 LevelLoader::~LevelLoader()
@@ -154,9 +195,4 @@
 }
 
-void LevelLoader::showLoadingScreen()
-{
-	cout << "\n\n\nThis is Orxonox\nthe hottest 3D action shooter ever to exist\n\n\n";
-	cout << "Level: " << name() << "\nDescription:" << description() << "\nImage:"<<image()<<"\n\n\n";
-}
 
 /*
Index: /code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.h	(revision 479)
+++ /code/branches/FICN/src/loader/LevelLoader.h	(revision 480)
@@ -24,17 +24,8 @@
 	{
 	private:
-		/*
-		// XML Nodes 
-		XMLNode rootNode;
-		XMLNode loadingScreenNode;
-		XMLNode worldNode;
-		XMLNode audioNode;
-		XMLNode scriptsNode;
-		*/
 		// Level information
 		std::string name_;
 		std::string description_;
 		std::string image_;
-		
 		std::string loadingBackgroundColor_;
 		std::string loadingBackgroundImage_;
@@ -44,5 +35,9 @@
 		std::string loadingBarWidth_;
 		std::string loadingBarHeight_;
+		
+		bool valid_;
 			
+		TiXmlDocument doc;
+		TiXmlElement* rootElement;	
 	public:
 
@@ -52,4 +47,5 @@
 		
 		void showLoadingScreen();
+		void loadLevel();
 		
 		// Getters
Index: /code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 479)
+++ /code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 480)
@@ -32,4 +32,5 @@
   objects
   weapon
+  xml
 )
 
Index: /code/branches/FICN/src/orxonox/core/OrxonoxClass.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 479)
+++ /code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 480)
@@ -92,5 +92,4 @@
             inline const bool isVisible() const { return this->bVisible_; }
 
-			//virtual void loadParams(TIXMLNode n);
 
         private:
Index: /code/branches/FICN/src/orxonox/objects/BaseObject.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 479)
+++ /code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 480)
@@ -13,3 +13,4 @@
     {
     }
+    
 }
Index: /code/branches/FICN/src/orxonox/objects/BaseObject.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 479)
+++ /code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 480)
@@ -11,4 +11,6 @@
             BaseObject();
             virtual ~BaseObject();
+			virtual void loadParams(TiXmlElement* xmlElem) {}
+            
     };
 }
Index: /code/branches/FICN/src/orxonox/objects/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 479)
+++ /code/branches/FICN/src/orxonox/objects/CMakeLists.txt	(revision 480)
@@ -9,2 +9,6 @@
 
 ADD_LIBRARY(objects SHARED ${OBJECTS_SRC_FILES})
+
+TARGET_LINK_LIBRARIES( objects
+  xml
+)
Index: /code/branches/FICN/src/orxonox/objects/test1.cc
===================================================================
--- /code/branches/FICN/src/orxonox/objects/test1.cc	(revision 479)
+++ /code/branches/FICN/src/orxonox/objects/test1.cc	(revision 480)
@@ -2,4 +2,5 @@
 #include "test2.h"
 #include "test3.h"
+#include "../../tinyxml/tinyxml.h"
 
 namespace orxonox
@@ -66,3 +67,8 @@
         this->usefullClass3_ = identifier;
     }
+    
+    void Test1::loadParams(TiXmlElement* xmlElem)
+    {
+    	std::cout<< xmlElem->GetText()<<std::endl;
+    }
 }
Index: /code/branches/FICN/src/orxonox/objects/test1.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/test1.h	(revision 479)
+++ /code/branches/FICN/src/orxonox/objects/test1.h	(revision 480)
@@ -5,4 +5,5 @@
 #include "Tickable.h"
 #include "test3.h"
+#include "../../tinyxml/tinyxml.h"
 
 namespace orxonox
@@ -22,4 +23,6 @@
             void setUsefullClass2(Identifier* identifier);
             void setUsefullClassOfTypeTest3(Identifier* identifier);
+            
+            void loadParams(TiXmlElement* xmlElem);
 
         private:
Index: /code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- /code/branches/FICN/src/orxonox/orxonox.cc	(revision 479)
+++ /code/branches/FICN/src/orxonox/orxonox.cc	(revision 480)
@@ -218,9 +218,5 @@
   {
     //TODO: start modules
-    ogre_->startRender();
-    auMan_ = new audio::AudioManager();
-    // load this file from config
-    string levelFile = "sample.oxw";
-    //loader_ = new loader::LevelLoader(levelFile);
+
     //TODO: run engine
   }
@@ -339,6 +335,12 @@
   void Orxonox::createScene(void)
   {
+	// Init audio
     auMan_ = new audio::AudioManager();
-
+    
+    // load this file from config
+    loader_ = new loader::LevelLoader("sample.oxw");
+    loader_->loadLevel();
+
+	/*
     auMan_->ambientAdd("a1");
     auMan_->ambientAdd("a2");
@@ -346,7 +348,5 @@
                                 //auMan->ambientAdd("ambient1");
     auMan_->ambientStart();
-
-    string levelFile = "sp_level_moonstation.oxw";
-//       loader::LevelLoader* loader = new loader::LevelLoader(levelFile);
+	*/
   }
 
